#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Sys-Mmap
Version		:	0.20
Release		:	17.0.10.rel%{?dist}
Summary		:	Uses mmap to map in a file as a Perl variable

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
The Sys::Mmap module uses the POSIX mmap call to map in a
file as a Perl variable. Memory access by mmap may be shared
between threads or forked processes, and may be a disc file
that has been mapped into memory. Sys::Mmap depends on your
operating system supporting UNIX or POSIX.1b mmap, of course.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%license Copying
%{_libdir}/perl5/%{perlvers}/core_perl/Sys/Mmap.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Sys/Mmap/Mmap.so
%{_mandir}/man3/Sys::Mmap.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

